Name:           annogen 
Version:        0.1.0
Release:        5%{?dist}
Summary:        Java framework for JSR-175 annotations

Group:          Development/Libraries  
License:        ASL 2.0
URL:            http://annogen.codehaus.org/
# svn export http://svn.codehaus.org/annogen/annogen/tags/release-0_1_0/ annogen-0.1.0
# find annogen-0.1.0/ -name '*.jar' -delete
# tar cJf annogen-0.1.0-CLEAN.tar.xz annogen-0.1.0
Source0:        %{name}-%{version}-CLEAN.tar.xz
Source1:        http://repo1.maven.org/maven2/annogen/annogen/0.1.0/annogen-0.1.0.pom
Patch0:         annogen-doc-build.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: ant
BuildRequires: qdox
BuildRequires: jpackage-utils    
BuildRequires: dos2unix
Requires:      java
Requires:      jpackage-utils
Requires:      qdox

%description
Annogen is a framework which helps you work with JSR175 Annotations. 
In a nutshell, Annogen generates a proxy layer in front of your 
Annotations.

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
find examples -type f | xargs dos2unix
find license -type f | xargs dos2unix
find docs -name '*.html' -o -name '*.css' | xargs dos2unix

%build
export CLASSPATH=$( build-classpath qdox)
for x in *.xml; do 
  sed -i -e "s/source='1.4'/source='1.5'/; s/target='1.4'/target='1.5'/" $x;
done
ant jars
ant docs

%install
install -d -m 755 %{buildroot}%{_javadir}
cp build/distribution/annogen-*.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
cp %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp build/docs/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc license/LICENSE.txt license/NOTICE.txt examples/
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc license/LICENSE.txt
%{_javadocdir}/%{name}


%changelog
* Mon Feb 25 2013 Andy Grimm <agrimm@gmail.com> - 0.1.0-5
- Bump build source/target from java 1.4 to 1.5 (RHBZ#842571)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 11 2012 Andy Grimm <agrimm@gmail.com> - 0.1.0-2
- Remove bundled jars before creating source archive
- Change javadocs install commands to match other java packages

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> - 0.1.0-1
- Initial package
